Subject: Re: [PATCH 0/5] Distributing substitutes over IPFS

From: Hector Sanjuan <[email-masked]>
Date: Mon, 15 Jul 2019 10:21:29 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, July 15, 2019 12:10 PM, Pierre Neidhardt <[email-masked]> wrote:

> Héctor mentioned a possible issue with the IPLD manifest growing too big
> (in case of too many files in a package), that is, above 2MB.
> Then we would need to implement some form of sharding.
>
> Héctor, do you confirm? Any idea on how to tackle this elegantly?
>

Doing the DAG node the way I proposed it (referencing a single root) should be
ok... Unless you put too many executable files in that list, it should largely
stay within the 2MB limit.

--
Hector